main()
{
	
	precacheFX();
	playFX();
	footstepsFX();
	treadFX();
	
}


precacheFX()
{

////SMOKE////
	
level._effect["cold_breath"]		= loadfx ("fx/misc/cold_breath.efx");
level._effect["huge_smoke1"]		= loadfx ("fx/smoke/smoke_plumeBG_toujane.efx");
level._effect["huge_smoke2"]		= loadfx ("fx/smoke/smoke_plumeBG");
level._effect["ground_smoke1"]		= loadfx ("fx/smoke/thin_light_smoke_M.efx");
level._effect["ground_smoke2"]		= loadfx ("fx/smoke/thin_light_smoke_L.efx");
level._effect["smoke_small"]		= loadfx ("fx/smoke/thin_black_smoke_S.efx");
level._effect["smoke_med"]		= loadfx ("fx/smoke/thin_black_smoke_M.efx");

////FOG////

level._effect["fog_linger"]		= loadfx ("fx/misc/fogbank_small_beltot.efx");
level._effect["snow_wind"]		= loadfx ("fx/misc/snow_wind_cityhall.efx");

////FIRE////

level._effect["fire_small"]		= loadfx ("fx/fire/building_fire_small.efx");	
level._effect["fire_med"]		= loadfx ("fx/fire/building_fire_med.efx");
level._effect["fire_big"]		= loadfx ("fx/fire/building_fire_large.efx");
level._effect["fire_far"]		= loadfx ("fx/fire/building_fire_distant.efx");
level._effect["vehicle_fire"]		= loadfx ("fx/fire/ground_fire_med_nosmoke.efx");

////TANK////

level._effect["tank_fire_engine"] 	= loadfx ("fx/fire/tank_fire_engine.efx");
level._effect["tank_fire_turret"] 	= loadfx ("fx/fire/tank_fire_turret_small.efx");

}




playFX()
{

////IN CITY////

maps\_fx::loopfx("vehicle_fire",	(480, 1316, -4), 2);        //car fire
thread maps\_utility::loopfxSound ("medfire", (480, 1316, -4));	    //car fire sound
maps\_fx::loopfx("smoke_small", 	(480, 1316, -4), .3);       //car smoke
maps\_fx::loopfx("huge_smoke1", 	(-240, 2392, 712), 1.5);    //building right
maps\_fx::loopfx("huge_smoke2", 	(-4048, 112, 832), 1.5);    //building more right
maps\_fx::loopfx("huge_smoke2", 	(6368, 2344, 8), 1);        //building left
maps\_fx::loopfx("huge_smoke2", 	(2984, 2072, 400), 1.5);    //building middle left
maps\_fx::loopfx("huge_smoke1", 	(-8736, 3400, 8), 1);       //right end
maps\_fx::loopfx("huge_smoke1", 	(9768, 3520, 8), 1);        //left end
maps\_fx::loopfx("fire_big", 		(216, 200, 808), 1.5);      //grey building front start
maps\_fx::loopfx("fire_big", 		(208, 408, 856), 1.5);      //grey building front start
maps\_fx::loopfx("fire_med", 		(912, 1184, 488), 1.5);     //grey building start
maps\_fx::loopfx("fire_big", 		(872, 3264, 776), 1.5);     //grey building corner
maps\_fx::loopfx("fire_big", 		(880, 3400, 776), 1.5);     //grey building corner
maps\_fx::loopfx("fire_med", 		(424, -1024, 472), 1.5);    //factory start
maps\_fx::loopfx("smoke_med", 		(424, -1024, 472), 1.5);    //factory start
maps\_fx::loopfx("ground_smoke2", 	(904, 2524, 40), 1.5);      //tree

////FACADE////

maps\_fx::loopfx("fire_big", 		(-64, 3688, 472), 1);       //red building right
maps\_fx::loopfx("fire_big", 		(-320, 3696, 280), 1);      //red building right
maps\_fx::loopfx("fire_big", 		(-1480, 3704, 584), 1);     //grey building right
maps\_fx::loopfx("fire_big", 		(1448, 3696, 584), 1);      //grey building left
maps\_fx::loopfx("fire_big", 		(2840, 3688, 616), 1);      //red building left

////OUTSKIRTS////

maps\_fx::loopfx("ground_smoke2", 	(1913, 6370, 32), 1.5);     //haycart 1
maps\_fx::loopfx("ground_smoke2", 	(-531, 13327, 16), 1.5);    //haycart 2

////WIND////

maps\_fx::loopfx("snow_wind",		(712, 392, 56), 1);         //start
maps\_fx::loopfx("snow_wind",		(106, 3838, 59), 1);        //wall left
maps\_fx::loopfx("snow_wind",		(1541, 3839, 59), 1);       //wall right
maps\_fx::loopfx("snow_wind",		(-834, 6424, 74), 1);       //field left 1
maps\_fx::loopfx("snow_wind",		(280, 13272, 56), 1);       //field left 2
maps\_fx::loopfx("snow_wind",		(-1412, 13732, 82), 1);     //field left 2
maps\_fx::loopfx("snow_wind",		(-156, 13054, 54), 1);      //field left 2
maps\_fx::loopfx("snow_wind",		(1680, 6984, 88), 1);       //field right 1
maps\_fx::loopfx("snow_wind",		(2442, 7746, 42), 1);       //field right 1
maps\_fx::loopfx("snow_wind",		(1722, 15624, 54), 1);      //field right 2
maps\_fx::loopfx("snow_wind",		(608, 5178, 40), 1);        //road 1
maps\_fx::loopfx("snow_wind",		(566, 7216, 40), 1);        //road 2
maps\_fx::loopfx("snow_wind",		(2960, 11940, 52), 1);      //road right
maps\_fx::loopfx("snow_wind",		(576, 9608, 16), .5);       //crossroad 1
maps\_fx::loopfx("snow_wind",		(704, 12168, 48), .5);      //crossroad 2
maps\_fx::loopfx("snow_wind",		(216, 10304, 32), 1);       //front barn 1
maps\_fx::loopfx("snow_wind",		(1128, 13544, 32), 1);      //front barn 2
maps\_fx::loopfx("snow_wind",		(1856, 18168, -8), .5);     //flak left
maps\_fx::loopfx("snow_wind",		(3168, 18216, 16), .5);     //flak right
maps\_fx::loopfx("snow_wind",		(-1102, 15647, -4), .5);    //mortars tunnel 1
maps\_fx::loopfx("snow_wind",		(-1110, 16475, -4), .5);    //mortars tunnel 2
maps\_fx::loopfx("snow_wind",		(-574, 15753, 7), .5);      //mortars right 1
maps\_fx::loopfx("snow_wind",		(-338, 16700, 7), .5);      //mortars right 2
maps\_fx::loopfx("snow_wind",		(-2071, 15742, -8), .5);    //mortars left 1
maps\_fx::loopfx("snow_wind",		(-2291, 16702, -8), .5);    //mortars left 2
maps\_fx::loopfx("snow_wind",		(1850, 8520, 19), .5);      //trench right 1
maps\_fx::loopfx("snow_wind",		(2588, 9697, 18), .5);      //trench right 2
maps\_fx::loopfx("snow_wind",		(1674, 10860, 45), .5);     //trench right 3
maps\_fx::loopfx("snow_wind",		(-1519, 8056, 45), .5);     //trench left 1
maps\_fx::loopfx("snow_wind",		(-610, 8381, -1), .5);      //trench left 2


////FOG////

maps\_fx::loopfx("fog_linger",		(-832, 9856, 56), 1.5);     //barn 1
maps\_fx::loopfx("fog_linger",		(2256, 12288, 56), 1.5);    //barn 2

}



footstepsFX()
{

////FOOTSTEPS FX////

animscripts\utility::setFootstepEffect ("snow",		loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("gravel",	loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("mud",		loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("grass",	loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("dirt",		loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("concrete",	loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("rock",		loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("asphalt",	loadfx ("fx/impacts/footstep_snow.efx"));
animscripts\utility::setFootstepEffect ("plaster",	loadfx ("fx/impacts/footstep_snow.efx"));

}



treadFX()
{
	
////TANK TREADS FX////

maps\_treadfx::setVehicleFX("panzer2",	"water",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"ice",		"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"snow",		"fx/dust/tread_dust_snow.efx");	maps\_treadfx::setVehicleFX("panzer2",	"dirt",		"fx/dust/tread_dust_snow.efx");	maps\_treadfx::setVehicleFX("panzer2",	"asphalt",	"fx/dust/tread_dust_snow.efx");	maps\_treadfx::setVehicleFX("panzer2",	"carpet",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"cloth",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"sand",		"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"grass",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"gravel",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"metal",	undefined);
maps\_treadfx::setVehicleFX("panzer2",	"mud",		"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"plaster",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"rock",		"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"wood",		"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"brick",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"concrete",	"fx/dust/tread_dust_snow.efx");
maps\_treadfx::setVehicleFX("panzer2",	"foliage",	"fx/dust/tread_dust_snow.efx");

}


